Xapian::LCDClusterer Class Reference

LCD clusterer: This clusterer implements the LCD clustering algorithm adapted from Modelling efficient novelty-based search result diversification in metric spaces Gil-Costa et al. More...

`#include <cluster.h>`

Inheritance diagram for Xapian::LCDClusterer:
[legend]

## Public Member Functions

| LCDClusterer (unsigned int k_)
| Constructor specifying number of clusters.
ClusterSet | cluster (const MSet &mset) override
| Implements the LCD clustering algorithm.
std::string | get_description () const override
| Return a string describing this object.
Public Member Functions inherited from Xapian::Clusterer
virtual | ~Clusterer ()
| Destructor.
Clusterer * | release ()
| Start reference counting this object.
const Clusterer * | release () const
| Start reference counting this object.

## Detailed Description

LCD clusterer: This clusterer implements the LCD clustering algorithm adapted from Modelling efficient novelty-based search result diversification in metric spaces Gil-Costa et al.

2013

## Constructor & Destructor Documentation

## LCDClusterer()

Xapian::LCDClusterer::LCDClusterer | ( | unsigned int | k_ | ) |

explicit

Constructor specifying number of clusters.

Parameters

  k_ | Number of required clusters

## Member Function Documentation

## cluster()

ClusterSet Xapian::LCDClusterer::cluster | ( | const MSet & | mset | ) |

override virtual

Implements the LCD clustering algorithm.

Parameters

  mset | MSet object containing the documents that are to be clustered

Implements Xapian::Clusterer.

## get_description()

std::string Xapian::LCDClusterer::get_description | ( |  | ) | const

override virtual

Return a string describing this object.

Implements Xapian::Clusterer.

The documentation for this class was generated from the following file:

- xapian/cluster.h